aboutsummaryrefslogtreecommitdiff
path: root/bin/watch.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/watch.sh')
-rwxr-xr-xbin/watch.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/bin/watch.sh b/bin/watch.sh
new file mode 100755
index 0000000..064414d
--- /dev/null
+++ b/bin/watch.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+set -euo pipefail
+
+python -m http.server --directory public 8000 &
+
+trap "fuser -k 8000/tcp" EXIT
+
+tsc --build tsconfig.json --watch